Log4j Version 1.2.7: Class RootCategory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Class RootCategory

    java.lang.Object
      |
      +--org.apache.log4j.Category
            |
            +--org.apache.log4j.Logger
                  |
                  +--org.apache.log4j.spi.RootCategory

All Implemented Interfaces:
  AppenderAttachable

public final class RootCategory
extends Logger

RootCategory sits at the top of the category hierachy. It is a regular category except that it provides several guarantees.

First, it cannot be assigned a `null` priority. Second, since root category cannot have a parent, the `getChainedLevel()` method always returns the value of the level field without walking the hierarchy.

Author:
  Ceki Gülcü

Fields inherited from class org.apache.log4j.Category
`additive, level, name, parent, repository, resourceBundle`

Constructor Summary
`RootCategory(Level level)` The root category names itself as "root".

Method Summary
`Level` | `getChainedLevel()` Return the assigned level value without walking the category hierarchy.
`void` | `setLevel(Level level)` Setting a null value to the level of the root category may have catastrophic results.
`void` | `setPriority(Level level)`

Methods inherited from class org.apache.log4j.Logger
`getLogger, getLogger, getLogger, getRootLogger`

Methods inherited from class org.apache.log4j.Category
`addAppender, assertLog, callAppenders, debug, debug, error, error, exists, fatal, fatal, forcedLog, getAdditivity, getAllAppenders, getAppender, getChainedPriority, getCurrentCategories, getDefaultHierarchy, getEffectiveLevel, getHierarchy, getInstance, getInstance, getLevel, getLoggerRepository, getName, getParent, getPriority, getResourceBundle, getResourceBundleString, getRoot, info, info, isAttached, isDebugEnabled, isEnabledFor, isInfoEnabled, l7dlog, l7dlog, log, log, log, removeAllAppenders, removeAppender, removeAppender, setAdditivity, setPriority, setResourceBundle, shutdown, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootCategory

    public RootCategory(Level level)

  The root category names itself as "root". However, the root category cannot be retrieved by name.

Method Detail

### getChainedLevel

    public final Level getChainedLevel()

  Return the assigned level value without walking the category hierarchy.

### setLevel

    public final void setLevel(Level level)

  Setting a null value to the level of the root category may have catastrophic results. We prevent this here.
  Overrides:
    `setLevel` in class `Category`
  Since:
    0.8.3

### setPriority

    public final void setPriority(Level level)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.